From 4c64afbcbee153b1d9609488b442df0606957ae1 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:08 +0000
Subject: [PATCH 369/2232] Fix missing absolute path to drop_in_place


It's possible for `std` to mean something different from `::std` if the
user's ffi mod contains a type named `std`.

---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index f29eeeb..e882087 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -594,7 +594,7 @@ fn expand_rust_vec(namespace: &Namespace, ty: &Type, ident: &Ident) -> TokenStre
         #[doc(hidden)]
         #[export_name = #link_drop]
         unsafe extern "C" fn #local_drop(this: *mut ::cxx::RustVec<#inner>) {
-            std::ptr::drop_in_place(this);
+            ::std::ptr::drop_in_place(this);
         }
         #[doc(hidden)]
         #[export_name = #link_len]

